> ## Documentation Index
> Fetch the complete documentation index at: https://docs.treasuryprime.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Provision with Apple Pay



## OpenAPI

````yaml api-reference/openapi-cards.json POST /card/{card_id}/digital_wallet_token/apple_pay
openapi: 3.1.0
info:
  contact:
    email: help@treasuryprime.com
    name: Treasury Prime Support
    url: https://support.treasuryprime.com
  summary: Banking APIs
  termsOfService: https://www.treasuryprime.com/policy/terms
  title: Cards
  version: 1.18.581-gbba3b1de
servers:
  - description: Production
    url: https://api.treasuryprime.com
  - description: Sandbox
    url: https://api.sandbox.treasuryprime.com
security:
  - basicAuth: []
  - apiKey: []
paths:
  /card/{card_id}/digital_wallet_token/apple_pay:
    post:
      tags:
        - Digital Wallet Tokens
      summary: Provision with Apple Pay
      parameters:
        - description: The ID card being added to the wallet
          in: path
          name: card_id
          required: true
          schema:
            description: The ID card being added to the wallet
            type: string
      requestBody:
        content:
          application/json:
            examples:
              example:
                summary: Example
                value:
                  card_id: card_291u96075mva
                  certificates:
                    - MIIEPDCCA+KgAwIBAgICEAAwCQYHKoZIzj...
                    - MIIDZjCCAw2gAwIBAgIJAJx22AGaEPSgMA...
                  device_type: mobile_phone
                  nonce: vXWJaBidcTLaJJCF
                  nonce_signature: jD4Aphu+93N2wbBn
                  provisioning_app_version: 2.13.3
            schema:
              properties:
                card_id:
                  description: The ID card being added to the wallet
                  type: string
                certificates:
                  description: Leaf and sub-CA certificates provided by Apple
                  items:
                    type: string
                  type: array
                device_type:
                  description: One of `mobile_phone`, `watch`, or `tablet`
                  type: string
                nonce:
                  description: One-time-use nonce provided by Apple for security purposes
                  type: string
                nonce_signature:
                  description: Apple-provided signature to the nonce
                  type: string
                provisioning_app_version:
                  description: Version of the application making the provisioning request
                  type: string
              required:
                - provisioning_app_version
                - device_type
                - certificates
                - nonce_signature
                - card_id
                - nonce
        description: The apple-pay-token-request to create
        required: true
      responses:
        '200':
          content:
            application/json:
              examples:
                example:
                  summary: Success
                  value:
                    activation_data: TUJQQUMtMS1GSy03NDgwNTIuMS0tVERF
                    card_id: card_291u96075mva
                    encrypted_pass_data: w9NGKYa3OkPGeQ+FmAKGga
                    ephemeral_public_key: BMop3NufgKwy/r0GX1muvomvw
              schema:
                properties:
                  card_id:
                    description: The ID card being added to the wallet
                    type: string
                  certificates:
                    description: Leaf and sub-CA certificates provided by Apple
                    items:
                      type: string
                    type: array
                  device_type:
                    description: One of `mobile_phone`, `watch`, or `tablet`
                    type: string
                  nonce:
                    description: One-time-use nonce provided by Apple for security purposes
                    type: string
                  nonce_signature:
                    description: Apple-provided signature to the nonce
                    type: string
                  provisioning_app_version:
                    description: Version of the application making the provisioning request
                    type: string
          description: The apple-pay-token-request created
components:
  securitySchemes:
    basicAuth:
      scheme: basic
      type: http
    apiKey:
      bearerFormat: JWT
      scheme: bearer
      type: http

````